### Method

# Meta Window protocol_to_stage_rect

#### Declaration [src]

    void
    meta_window_protocol_to_stage_rect (
      MetaWindow* window,
      const MtkRectangle* protocol_rect,
      MtkRectangle* stage_rect
    )

#### Description [src]

Transform the coordinates from protocol coordinates to coordinates expected by the stage and internal window management logic.

#### Parameters

`protocol_rect`

  Type: `MtkRectangle`

  Rectangle in protocol coordinate space.

  The data is owned by the caller of the method.

`stage_rect`

  Type: `MtkRectangle`

  Rect in stage coordinate space.

  The argument will be set by the function.
  The returned data is owned by the instance.